Summary:	X.org video drivers for ATI VGAWonder/Mach32/Mach64 adapters
Summary(pl.UTF-8):	Sterowniki obrazu X.org do kart graficznych ATI VGAWonder/Mach32/Mach64
Name:		xorg-driver-video-mach64
Version:	6.10.0
Release:	1%{?tld}
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-mach64-%{version}.tar.xz
# Source0-md5:	66437c5ccb669e1a1aa42fead4b061b3
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.2
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.12.901
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-proto-xf86miscproto-devel
BuildRequires:	xorg-proto-xineramaproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.18
BuildRequires:	xz
%{?requires_xorg_xserver_videodrv}
Requires:	libdrm >= 2.2
Requires:	xorg-lib-libpciaccess >= 0.12.901
Requires:	xorg-xserver-libglx >= 1.18
Requires:	xorg-xserver-server >= 1.18
Provides:	xorg-driver-video
Obsoletes:	XFree86-Mach32 < 4
Obsoletes:	XFree86-Mach64 < 4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for old ATI adapters; supports most of chips from:
- VGAWonder series: 18800, 18800-1, 28800-2, 28800-4, 28800-5, 28800-6
- Mach32 series: 68800-3, 68800-6, 68800AX, 68800LX
- Mach64 series: 88800GX-C, 88800GX-D, 88800GX-E, 88800GX-F, 88800CX,
  264CT, 264ET, 264VT, 264GT (3D Rage), 264VT-B, 264VT3, 264VT4, 264GT-B
  (3D Rage II), 3D Rage IIc, 3D Rage Pro, 3D Rage LT, 3D Rage LT Pro, 3D
  Rage XL, 3D Rage XC, 3D Rage Mobility (including the -M and -P
  variants)

%description -l pl.UTF-8
Sterownik obrazu X.org do starych kart graficznych ATI; obsługuje
większość kart z serii:
- VGAWonder: 18800, 18800-1, 28800-2, 28800-4, 28800-5, 28800-6
- Mach32: 68800-3, 68800-6, 68800AX, 68800LX)
- Mach64: 88800GX-C, 88800GX-D, 88800GX-E, 88800GX-F, 88800CX, 264CT,
  264ET, 264VT, 264GT (3D Rage), 264VT-B, 264VT3, 264VT4, 264GT-B (3D
  Rage II), 3D Rage IIc, 3D Rage Pro, 3D Rage LT, 3D Rage LT Pro, 3D
  Rage XL, 3D Rage XC, 3D Rage Mobility (włącznie z wariantami -M i
  -P)

%prep
%setup -q -n xf86-video-mach64-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/mach64_drv.so
%changelog
* Tue Dec 03 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-video-mach64.git;a=log;h=master

* Wed Oct 16 2024 Jakub Bogusz <qboosh@pld-linux.org> 22cec85
- updated to 6.10.0

* Wed Jul 13 2022 Jakub Bogusz <qboosh@pld-linux.org> c5fbc5d
- updated to 6.9.7
- removed obsolete xserver-21 patch

* Wed Nov 03 2021 Jan Rękorajski <baggins@pld-linux.org> c12e168
- fix building with xserver 21
- rel 3

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> fc6a5aa
- rebuil with xorg-xserver-server 21.1.0

* Wed May 23 2018 Jan Rękorajski <baggins@pld-linux.org> 058b68c
- up to 6.9.6

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> c27c555
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> c2948ee
- release 2 (by relup.sh)

* Wed May 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 507ad5d
- updated to 6.9.5

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> da89262
- due to xserver 1.17
- release 6 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 02c6850
- xserver rebuild
- release 5 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d62542f
- xserver rebuild
- release 4 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 3d06bf5
- release 3 (by relup.sh)

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6281f69
- release 2 (by relup.sh)

* Thu Dec 20 2012 Jakub Bogusz <qboosh@pld-linux.org> 0016781
- updated to 6.9.4
- removed obsolete mach64-fix-build-on-32-bit patch

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 51c4323
- rebuild to fix broken filedigests
- release 6 (by relup.sh)

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> fc72c25
- rebuild with fixed rpm macros
- release 5 (by relup.sh)

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> 699a4e9
- fix build on ix86
- release 4

* Sun Sep 23 2012 Jan Rękorajski <baggins@pld-linux.org> 272d6be
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> bc0f8ff
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 0bfc87a
- updated to 6.9.3

